/*
 Theme Name:   SCSUM
 Description:  Swiss Customer Service Summit
 Author:       Anneke Engels
 Author URI:   https://anneke-engels.de
 Template:     hello-elementor
 Version:      2.3
 Text Domain:  hello-elementor
*/

@import url("https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&display=swap");


/* Elementor */
/*************/

body {
		--spacing: 35px;
		--spacing-mob: 25px;
}

.elementor-location-header .elementor-top-section,
.elementor-location-footer .elementor-top-section {
		padding-top: var(--spacing)!important;
		padding-left: var(--spacing)!important;
		padding-right: var(--spacing)!important; }
.elementor-location-footer .elementor-top-section {
		padding-top: calc(2 * var(--spacing))!important;
		padding-bottom: calc(2 * var(--spacing))!important;	 }
.elementor-location-header + .elementor > .elementor-section{
		padding-left: var(--spacing)!important;
		padding-right: var(--spacing)!important;
}
@media (min-width: 768px) {
		.elementor-location-header .elementor-top-section {
				margin-bottom: var(--spacing)!important;
		}
}

.elementor-location-header .elementor-container > .elementor-column:has(.elementor-widget-theme-site-logo) {
		width: 9rem!important; }
.elementor-location-header .elementor-container > .elementor-column:has(.elementor-nav-menu--main) {
		width: auto!important;
		/*display: none!important;*/ }
.elementor-location-header .elementor-container > .elementor-column:has(.elementor-widget-theme-site-logo) .elementor-widget-wrap {
		padding: 0!important; }
.elementor-location-header .elementor-container > .elementor-column:has(.elementor-widget-theme-site-logo) .elementor-widget-container {
		margin-left: 0!important;
}

@media (max-width: 767px) {
		.elementor-location-header .elementor-top-section,
		.elementor-location-footer .elementor-top-section {
				padding-top: var(--spacing-mob)!important;
				padding-left: var(--spacing-mob)!important;
				padding-right: var(--spacing-mob)!important; }
		.elementor-location-footer .elementor-top-section {
				padding-top: calc(2 * var(--spacing-mob))!important;
				padding-bottom: calc(2 * var(--spacing-mob))!important;	 }
		.elementor-location-header + .elementor > .elementor-section{
				padding-left: var(--spacing-mob)!important;
				padding-right: var(--spacing-mob)!important;
		}
}


/* Elementor Menu */
/******************/

.elementor-location-header .elementor-top-section .elementor-container > .elementor-column:has(.elementor-nav-menu--main) {
		flex-grow: 1;
		align-items: center;
}

@media (max-width: 767px) {
		.elementor-location-header .elementor-nav-menu--burger {
				display: block!important;
				z-index: 999!important;
		}
		.elementor-location-header .elementor-nav-menu--burger .elementor-menu-toggle {
				z-index: 1000!important;
				position: fixed!important;
				top: 0!important;
				right: 0!important;
				padding: calc(5px + var(--spacing-mob))!important;
				border-radius: 0!important; }
		.admin-bar .elementor-location-header .elementor-nav-menu--burger .elementor-menu-toggle {
				top: 46px!important;
		}
		.elementor-location-header .elementor-nav-menu--burger nav.elementor-nav-menu--dropdown {
				position: fixed!important;
				top: 0!important;
				left: 0!important;
				height: 100vh!important;
				width: 100vw!important;
				margin: 0!important;
				background-color: var(--e-global-color-primary)!important;
				z-index: 999!important;
		}
		.elementor-location-header .elementor-nav-menu--burger nav.elementor-nav-menu--dropdown ul {
				top: 47%;
				transform: translateY(-50%); }
		.elementor-location-header .elementor-nav-menu--burger nav.elementor-nav-menu--dropdown li a {
				font-family: var( --e-global-typography-primary-font-family ), Sans-serif!important;
				font-weight: var( --e-global-typography-primary-font-weight )!important;
				font-size: 40px!important;
				line-height: 1.1!important;
				justify-content: center!important;
				color: #fff!important;
			 	padding: 25px!important; }
		.elementor-location-header .elementor-nav-menu--burger nav.elementor-nav-menu--dropdown li a:hover {
				background-color: #1D1D1D!important;
		}
}
@media (min-width: 768px) {
		.elementor-nav-menu--main .elementor-item-anchor {
				font-size: 16px!important;
				font-weight: bold;
		}

		.elementor-nav-menu--layout-horizontal .elementor-nav-menu > li:not(:last-child) > a {
				margin-inline-end: 15px!important;
		}
}

/* Jet menu */
.jet-mobile-menu{
		display: none!important;
}
@media (max-width: 767px) {
		.jet-desktop-menu-active .jet-mobile-menu__toggle-icon {
				padding: calc( 5px + var(--spacing-mob) )!important;
				margin: calc( calc( 5px + var(--spacing-mob) ) * -1 )!important;
		}
		.jet-desktop-menu-active .jet-mobile-menu__controls .jet-mobile-menu__back {
				padding: calc( var(--spacing-mob) - 5px ) calc( var(--spacing-mob) + 5px )!important;
		}
}


/* Elementor Various */
/*********************/

/* Triangles */
/*.elementor > .elementor-section:first-child .elementor-widget-container > img[src*="scsum-vector"]:only-child {
    position: absolute;
		bottom: 0;
		right: 0;
}*/

/* Accordion */
.elementor-accordion > .elementor-accordion-item {
		margin-bottom: 0!important; }
.elementor-accordion > .elementor-accordion-item:not(:first-child) .elementor-tab-title {
		padding-top: 0!important;
}
.elementor-accordion .elementor-tab-title {
		display: flex!important;
		align-items: center;
		justify-content: flex-start;
		gap: 0; }
.elementor-accordion .elementor-tab-title .elementor-accordion-title {
		margin: 0!important; }
.elementor-accordion .elementor-tab-content {
		padding-top: 0!important;
}

/* Password dialogue */
body > .elementor-location-header + .post-password-form {
		max-width: 550px;
		margin: 80px auto 150px;
		padding: 0 10px;
}
body > .elementor-location-header + .post-password-form label {
		margin-right: 10px;
}
